const Api = require('./Api');

class JobApi {

    static chooseJob(targetUid, jobId, success, fail) {
        Api.httpPost({
            url: '/job/selectJob.do',
            data: {
                targetUid: targetUid,
                jobId: jobId,
            },
            success: success,
            fail: fail,
        });
    }


    static changeJob(targetUid, jobId, success, fail) {
        Api.httpPost({
            url: '/job/changeJob.do',
            data: {
                targetUid: targetUid,
                jobId: jobId,
            },
            success: success,
            fail: fail,
        });
    }


    static levelUp(targetUid, success, fail) {
        Api.httpPost({
            url: '/job/upgradeJob.do',
            data: {
                targetUid: targetUid,
            },
            success: success,
            fail: fail,
        });
    }

    static changeJobList(targetUid, success, fail) {
        Api.httpGet({
            url: '/job/getChangeJobList.do',
            data: {
                targetUid: targetUid,
            },
            success: success,
            fail: fail,
        });
    }



    static levelUpInfo(targetUid, success, fail) {
        Api.httpGet({
            url: '/job/getUpgradeJobList.do',
            data: {
                targetUid: targetUid,
            },
            success: success,
            fail: fail,
        });
    }

    static actorsNoJob(success, fail) {
        Api.httpGet({
            url: '/job/getMyArtistsWithNoJob.do',
            data: {
            },
            success: success,
            fail: fail,
        });
    };
}

module.exports = JobApi;

